Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No
Crashes QGIS or corrupts data:No Copied to github as #: 20646

Description

Hi,

When you have a multi-type table (for instance of type geometry(Geometry,4326) in postgis), you can still add it to QGIS by manually

selecting what geometry type to load.

This works quite well for normal display, but the attribute table also shows the records of other geometry types as well.

Also see #12499 (same problem, but for the node tool in edit mode).

Related issues:

Related to QGIS Application - Bug report # 12499: Edition of a layer from a g... Closed 2015-04-02

Associated revisions

Revision 97572244 - 2015-04-02 05:47 PM - Jürgen Fischer

postgres provider: also apply filterWhereClause to feature iterators (fixes #12499 & #12500)

Revision fe3dc4cf - 2015-04-04 11:43 PM - Jürgen Fischer

postgres provider: also apply filterWhereClause to feature iterators (fixes #12499 & #12500)

(cherry picked from commit 97572244dc699c6d5480f736e38d9246496cef20)

History

#1 - 2015-04-02 08:48 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"97572244dc699c6d5480f736e38d9246496cef20".

#2 - 2015-04-02 08:49 AM - Jürgen Fischer

- Resolution set to fixed/implemented

#3 - 2015-04-07 06:22 AM - Olivier Dalang

- Status changed from Closed to Reopened
Hi !

Thanks for your speed ;)

But I'm testing right now, and it seems as if the attributes table doesn't show any record anymore for geometryless layers.

Is it possible that it's linked to your recent changes ?

A very simple table like :

CREATE TABLE temp.test (id serial PRIMARY KEY, name text);

INSERT INTO temp.test(name) VALUES ('hehe'),('haha'),('hoho');

shows no records in QGIS nightly, but shows them in QGIS 2.8.

The strange thing is that in some project of mine where I have already loaded geometry-less layers, some of them show attributes, and some of them don't.

But I can't see any meaningful difference between their setup...

Can you reproduce the bug ?

#4 - 2015-04-07 07:26 AM - Jürgen Fischer

- Status changed from Reopened to Closed

Olivier Dalang wrote:

But I'm testing right now, and it seems as if the attributes table doesn't show any record anymore for geometryless layers.

That was #12318

Can you reproduce the bug ?
